## trunk?format=zip&rev=708

=== Makefile ===
# $Id: Makefile 693 2015-10-14 22:13:36Z kdeugau $
# DNS Admin makefile

PKGNAME=dnsadmin
VERSION=1.3
RELEASE=1

# Include some boilerplate Gnu makefile definitions.
prefix = /usr/local

exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
includedir = ${prefix}/include
datadir = ${prefix}/share
localedir = $(datadir)/locale
sysconfdir = ${prefix}/etc
mandir = ${prefix}/man

INSTALL = /usr/bin/install
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALLMODE= -m 0755
INSTALLMODE2 = -m 0555

DESTDIR =

# flag to indicate if we install in a version-numbered location to
# support parallel installs (packaged or otherwise) or if we're
# installing to .../dnsdb/ (overwrite whatever was there last)
PARA_VERSIONS = 0

# also set the leaf directories we'll be putting things in
PKG_LEAF = dnsdb
CFG_LEAF = dnsdb

# tweak the final leaf directories we install to if PARA_VERSIONS is set
ifeq "$(PARA_VERSIONS)" "1"
PKG_LEAF = dnsdb-$(VERSION)
CFG_LEAF = dnsdb/$(VERSION)
endif

MANIFEST = \
	INSTALL COPYING TODO Makefile dnsadmin.spec \
	\
	dns.sql dns-1.0-1.2.sql dns-1.2.3-1.2.4.sql \
	\
	$(SCRIPTS) $(MODULES) \
	\
	index.shtml reverse-patterns.html \
	\
	$(IMAGES) \
	\
	$(TEMPLATES) \
	\
	dnsdb.conf

DIRS = \
	images templates

IMAGES = \
	images/ASC.png images/DESC.png \
	images/ffwd.png images/frev.png images/fwd.png images/rev.png \
	images/trash2.png \
	images/tree_closed.png images/tree_open.png

SCRIPTS = \
	compact-recs.pl dns.cgi dns-rpc.cgi dns-rpc.fcgi export.pl mergerecs textrecs.cgi tiny-import.pl \
	vega-import.pl

MODULES = DNSDB.pm

TEMPLATES = \
	templates/adddomain.tmpl templates/addgroup.tmpl templates/addrec.tmpl templates/addrevzone.tmpl \
	templates/adduser.tmpl templates/axfr.tmpl templates/badpage.tmpl templates/bulkchange.tmpl \
	templates/bulkdomain.tmpl templates/bulkrev.tmpl templates/confirmbulk.tmpl templates/dberr.tmpl \
	templates/deldom.tmpl templates/delgrp.tmpl templates/delloc.tmpl templates/delrec.tmpl \
	templates/delrevzone.tmpl templates/deluser.tmpl templates/dns.css templates/dnsq.tmpl \
	templates/domlist.tmpl templates/edgroup.tmpl templates/editsoa.tmpl templates/footer.tmpl \
	templates/fpnla.tmpl templates/grouptree.css templates/grouptree-ie.css templates/grpman.tmpl \
	templates/grptree.tmpl templates/header.tmpl templates/lettsearch.tmpl templates/location.tmpl \
	templates/loclist.tmpl templates/login.tmpl templates/log.tmpl templates/menu.tmpl \
	templates/msgblock.tmpl templates/newdomain.tmpl templates/newgrp.tmpl templates/newrevzone.tmpl \
	templates/permlist.tmpl templates/pgcount.tmpl templates/reclist.tmpl templates/record.tmpl \
	templates/revzones.tmpl templates/sbox.tmpl templates/soadata.tmpl templates/template.tmpl \
	templates/textrecs.tmpl templates/updatesoa.tmpl templates/useradmin.tmpl templates/user.tmpl \
	templates/whoisq.tmpl templates/widgets.js

CONFIGFILES = dnsdb.conf

all:
	# nullop

install:
	@mkdir -p $(DESTDIR)${datadir}/$(PKG_LEAF)/images
	@$(INSTALL_DATA) $(IMAGES) $(DESTDIR)${datadir}/$(PKG_LEAF)/images
	@mkdir -p $(DESTDIR)${datadir}/$(PKG_LEAF)/templates
	@$(INSTALL_DATA) $(TEMPLATES) $(DESTDIR)${datadir}/$(PKG_LEAF)/templates
	@# munge in necessary 'use lib ...' bits so scripts can find libs and config...
	@# datadir is correct;  no arch-specific files
	@for i in $(SCRIPTS) $(MODULES); do \
		$(INSTALL_SCRIPT) -D $$i $(DESTDIR)${datadir}/$(PKG_LEAF)/$$i ; \
		perl -pi -e "s|use lib '.';\s+##uselib##|use lib '${datadir}/$(PKG_LEAF)/';|;" $(DESTDIR)${datadir}/$(PKG_LEAF)/$$i ; \
	done
	@$(INSTALL) -d $(DESTDIR)${sysconfdir}/$(CFG_LEAF)/
	@# install an example config file with all known settings
	@for i in $(CONFIGFILES) ; do \
		if [ -e $(DESTDIR)${sysconfdir}/$(CFG_LEAF)/$$i ]; then \
			echo "refusing to overwrite existing config file, created as $$i.new" ; \
			$(INSTALL_DATA) $$i $(DESTDIR)${sysconfdir}/$(CFG_LEAF)/$$i.new ; \
		else \
			$(INSTALL_DATA) $$i $(DESTDIR)${sysconfdir}/$(CFG_LEAF)/ ; \
		fi ; \
		perl -pi -e 's|"/etc/dnsdb/dnsdb.conf",\s+##CFG_LEAF##|"${sysconfdir}/$(CFG_LEAF)/dnsdb.conf",|;' $(DESTDIR)${datadir}/$(PKG_LEAF)/DNSDB.pm ; \
	done

#clean:
#	@for i in $(DIRS) ; do \
#		$(MAKE) -C $$i clean ; \
#	done

dist:
	mkdir $(PKGNAME)-$(VERSION)
	tar cf - $(MANIFEST) | (cd $(PKGNAME)-$(VERSION); tar xf -)
	/usr/bin/perl -p -e 's/#VERSION#/$(VERSION)/;s/#RELEASE#/$(RELEASE)/;s/#BETA#//g' < $(PKGNAME).spec > $(PKGNAME)-$(VERSION)/$(PKGNAME).spec
	/usr/bin/perl -p -e 's/#VERSION#/$(VERSION)/;s/#RELEASE#/$(RELEASE)/;s/#BETA#//g' < INSTALL > $(PKGNAME)-$(VERSION)/INSTALL
	perl -pi -e 's/["\d.]+;\s*##VERSION##/"$(VERSION)";/;' $(PKGNAME)-$(VERSION)/DNSDB.pm
	tar cf $(PKGNAME)-$(VERSION).tar $(PKGNAME)-$(VERSION)
	gzip -v -f -9 $(PKGNAME)-$(VERSION).tar
	rm -rf $(PKGNAME)-$(VERSION)
	gpg -a --detach-sign $(PKGNAME)-$(VERSION).tar.gz

=== packages/sipb-xen-console-server/debian/changelog ===
sipb-xen-console-server (2.04) unstable; urgency=low

  * Get Kerberos realm from config rather than hardcoding.
  * Don't hardcode host's hostname in conserver.cf.

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 01:22:14 -0400

sipb-xen-console-server (2.03) unstable; urgency=low

  * Multiplex consoles on multiple hosts.

 -- Greg Price <price@mit.edu>  Sun, 13 Jul 2008 08:35:17 -0400

sipb-xen-console-server (2.02) unstable; urgency=low

  * And...xm isn't in the path, so give a full path

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:48:53 -0400

sipb-xen-console-server (2.01) unstable; urgency=low

  * update-conserver script should reload, not restart

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:43:12 -0400

sipb-xen-console-server (2) unstable; urgency=low

  * Use a python based update-conserver script that gets the list of
    consoles from xm list
  * Run the update-conserver script every 5 minutes to catch VMs that
    are not started or stopped through the remctl interface

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:32:58 -0400

sipb-xen-console-server (1.0.2) unstable; urgency=low

  * Also...make this package actually do something

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:41:32 -0400

sipb-xen-console-server (1.0.1) unstable; urgency=low

  * Misnamed a file

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:36:29 -0400

sipb-xen-console-server (1) unstable; urgency=low

  * Initial release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Wed,  2 Apr 2008 00:27:12 -0400

=== packages/sipb-xen-www/debian/changelog ===
sipb-xen-www (3.5) unstable; urgency=low

  * Use FCGI.
  * Lengthen timeouts to let the autoinstaller work.

 -- Greg Price <price@mit.edu>  Sun, 15 Jun 2008 21:51:59 -0400

sipb-xen-www (3.4) unstable; urgency=low

  * xvm.mit.edu rather than sipb-xen-dev.mit.edu

 -- Greg Price <price@mit.edu>  Sun, 11 May 2008 00:49:58 -0400

sipb-xen-www (3.3) unstable; urgency=low

  * Fix the SVN server to point to the new AFS mountpoint

 -- Evan Broder <broder@mit.edu>  Fri,  9 May 2008 02:37:21 -0400

sipb-xen-www (3.2) unstable; urgency=low

  * Check in (part of?) the Apache config.
  * Modify it to allow an informative front page without certs.
  * Add that front page.

 -- Greg Price <price@mit.edu>  Fri,  9 May 2008 02:11:04 -0400

sipb-xen-www (3.1) unstable; urgency=low

  * Fixed the crontab definition

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:49:32 -0400

sipb-xen-www (3) unstable; urgency=low

  * Refresh the ACL cache every 5 minutes

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:38:16 -0400

sipb-xen-www (2) unstable; urgency=low

  * Create sipb-xen group in preinst script.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 18:45:02 -0400

sipb-xen-www (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 22:43:12 -0500

=== packages/sipb-xen-console-server/debian/control ===
Source: sipb-xen-console-server
Section: servers
Priority: important
Maintainer: sipb-xen@mit.edu
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), config-package-dev
Standards-Version: 3.7.2

Package: sipb-xen-console-server
Architecture: all
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Depends: ${shlibs:Depends}, ${misc:Depends}, conserver-server, remctl-client
Description: SIPB Xen serial console server server
  This configures the VMM for the server-side of the console server

=== packages/sipb-xen-dom0/debian/control ===
Source: sipb-xen-dom0
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: sipb-xen-dom0
Architecture: all
Depends: ${misc:Depends}, emacs, nullmailer, dsniff, xen-hypervisor, xen-utils, lvm2, grub, linux-image-xen-amd64
Description: SIPB Xen domain 0 configuration
 This package includes the dependencies and configuration for 
 a domain 0 sipb-xen server.
